with import ../util.nix;

let
  input = readFile ./input;
  elfCalories = map (grp: map toInt (splitString "\n" grp)) (splitString "\n\n" input);
  totalsPerElf = map sum elfCalories;

  part1 = maxList totalsPerElf;
  part2 = sum (take 3 (sortList totalsPerElf));
in {
  inherit part1;
  inherit part2;
}